﻿
--[[

	AdMessage_0.2_by_pulsar

	Version: Luadch LUA 5.1x

	           - Das Script sendet eine sich wiederholende Nachricht in den Main bzw. als PM
	           - Script aktivieren/deaktivieren ist nun per Rechtsklick Menu möglich
	           - Script Modus Wechsel main/pm ist nun per Rechtsklick Menu möglich
	           - Nachricht kann auch jederzeit manuell per Befehl verschickt werden

]]--





--------------------------------------------------
--[SETTINGS]--------------------------------------
--------------------------------------------------

--> Zeit Intervall in Minuten
local delay = 1

--> Soll das Script aktiviert sein als default?   true=JA / false=NEIN
local BotOn = true

--> Wo soll die Nachricht geschickt werden?  main / pm
local BotSend = "main"

--> Rechtsklick Menu
local RCmenu = "Befehle²"

--> Rechtsklick SubMenu
local RCsubmenu = "Messages"

--> AdMessage Thema
local theme = "Links"

--> Wechselt in den Nachrichten Modus "main"
local BefehlMAIN = "admessageMAINlinks"

--> Wechselt in den Nachrichten Modus "pm"
local BefehlPM = "admessagePMlinks"

--> Befehl zum manuellen Senden der Nachricht
local BefehlMan = "admessageManlinks"

--> Befehl zum Aktivieren des Scripts
local BefehlPowerON = "admessageONlinks"

--> Befehl zum deaktivieren des Scripts
local BefehlPowerOFF = "admessageOFFlinks"

--> Benutzerrechte
AllowedLevels = {

		[ 0 ] = 0,  --> UNREG
		[ 10 ] = 0,  --> GAST
		[ 20 ] = 0,  --> REG
		[ 30 ] = 0,  --> VIP
		[ 40 ] = 0,  --> SVIP
		[ 50 ] = 0,  --> VERTEILER
		[ 60 ] = 0,  --> OPERATOR
		[ 70 ] = 0,  --> SUPERVISOR
		[ 80 ] = 0,  --> ADMIN
		[ 100 ] = 1,  --> MASTER
}

--> AdMessage
local admsg = [[


   _____________________________________________________________
   ¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
   [-->]  Luadch Projekt -> .................... http://sourceforge.net/projects/luadch/
   [-->]  Luadch Forum -> ..................... http://luadch.freeweb7.com/forum/
   _____________________________________________________________
   ¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
  ]]


--------------------------------------------------
--[CODE]------------------------------------------
--------------------------------------------------

local start_time = os.time()
local delay_time = delay*60
local s = "\\\\" --> Separator

hub:setListener("onLogin", {},
	function(p)
		local user = p.user
		if AllowedLevels[ user:getLevel() ] == 1 then
			user:send("ICMD "..RCmenu..""..s..""..RCsubmenu..""..s.."AdMessage_"..theme..""..s.."manuell\\ssenden TTBMSG\\s%[mySID]\\s!"..BefehlMan.."\\n CT1\n")
			user:send("ICMD "..RCmenu..""..s..""..RCsubmenu..""..s.."AdMessage_"..theme..""..s.."Status"..s.."an TTBMSG\\s%[mySID]\\s!"..BefehlPowerON.."\\n CT1\n")
			user:send("ICMD "..RCmenu..""..s..""..RCsubmenu..""..s.."AdMessage_"..theme..""..s.."Status"..s.."aus TTBMSG\\s%[mySID]\\s!"..BefehlPowerOFF.."\\n CT1\n")
			user:send("ICMD "..RCmenu..""..s..""..RCsubmenu..""..s.."AdMessage_"..theme..""..s.."Modus"..s.."main TTBMSG\\s%[mySID]\\s!"..BefehlMAIN.."\\n CT1\n")
			user:send("ICMD "..RCmenu..""..s..""..RCsubmenu..""..s.."AdMessage_"..theme..""..s.."Modus"..s.."pm TTBMSG\\s%[mySID]\\s!"..BefehlPM.."\\n CT1\n")
		end
	end
)
 
hub:setListener( "onBroadcast", {},  --> bei PtokaX = function ChatArrival()								
	function(p)
		local user, cmd, text = p.user, p.cmd, p.msg
		local command = utf.match( text, "^[+!#](%a+)" )
		if AllowedLevels[ p.user:getLevel() ] == 1 then
			if command == BefehlPowerON then
				p.user:reply{ msg = "*** Status: aktiviert", from = hub:getBot() }	
				BotOn = true			
				return PROCESSED
			elseif command == BefehlPowerOFF then
				p.user:reply{ msg = "*** Status: deaktiviert", from = hub:getBot() }
				BotOn = false		
				return PROCESSED
			elseif command == BefehlMAIN then
				p.user:reply{ msg = "*** Modus: MAIN", from = hub:getBot() }
				BotSend = "main"
				return nil
			elseif command == BefehlPM then
				p.user:reply{ msg = "*** Modus: PM", from = hub:getBot() }
				BotSend = "pm"
				return PROCESSED
			elseif command == BefehlMan then print(cmd)
				if BotSend == "main" then
					hub:broadcast{ msg = admsg, from = hub:getBot() }
				elseif BotSend == "pm" then
					hub:broadcast{ msg = admsg, from = hub:getBot(), pm = hub:getBot() }
				end
				return PROCESSED
			end
		else
			if AllowedLevels[ user:getLevel() ] ~= 1 then
				if command == BefehlPowerON then
					p.user:reply{ msg = "*** Du bist nicht befugt den Befehl: "..BefehlPowerON.."  zu benutzen!", from = hub:getBot() }			
					return PROCESSED
				elseif command == BefehlPowerOFF then
					p.user:reply{ msg = "*** Du bist nicht befugt den Befehl: "..BefehlPowerOFF.."  zu benutzen!", from = hub:getBot() }			
					return PROCESSED
				elseif command == BefehlMAIN then
					p.user:reply{ msg = "*** Du bist nicht befugt den Befehl: "..BefehlMAIN.."  zu benutzen!", from = hub:getBot() }
					return PROCESSED
				elseif command == BefehlPM then
					p.user:reply{ msg = "*** Du bist nicht befugt den Befehl: "..BefehlPM.."  zu benutzen!", from = hub:getBot() }
					return PROCESSED
				elseif command == BefehlMan then
					p.user:reply{ msg = "*** Du bist nicht befugt den Befehl: "..BefehlMan.."  zu benutzen!", from = hub:getBot() }
					return PROCESSED
				end
			end
		end				
		return nil			
	end
)

hub:setListener("onTimer", {}, --> Bei PtokaX = function OnTimer()
	function(p)
		if BotOn == true then
			if os.difftime( os.time() - start_time ) >= delay_time then
				if BotSend == "main" then
					hub:broadcast{ msg = admsg, from = hub:getBot() }			
					start_time = os.time()
				elseif BotSend == "pm" then
					hub:broadcast{ msg = admsg, from = hub:getBot(), pm = hub:getBot() }
					start_time = os.time()
				end
			end
			return nil
		end
	end
)

hub:debug( "*** Loaded AdMessage_0.2_by_pulsar.lua" )

--[END]